Opened 4 years ago

Closed 4 years ago

#10062 closed Task/To do item (fixed)

Roundcube 1.0.3 upgrade

Reported by: https://id.mayfirst.org/srevilak Owned by: https://id.mayfirst.org/srevilak
Priority: Medium Component: Tech
Keywords: roundcube Cc:
Sensitive: no

Description

Roundcube 1.0.3 is out. We should upgrade.

Date: Mon, 29 Sep 2014 18:30:47 +0200
From: Thomas Bruederli <thomas@roundcube.net>
To: Roundcube Announce List <announce@lists.roundcube.net>
Subject: [Roundcube Announce] Update 1.0.3 released
Message-ID: <CAO3naw78vGTKP058a5QJuxBC58DJUuB9XFy6im3SunO+rtPAxA@mail.gmail.com>

Dear Roundcube users

We're proud to announce the next service release to the stable version
1.0 of Roundcube webmail. It contains some bug fixes and improvements
we considered important for the long term support branch of Roundcube.
See the full changelog here: http://trac.roundcube.net/wiki/Changelog

It's considered stable and we recommend to update all productive
installations of Roundcube with this version. Download it from
http://roundcube.net/download.

And remember: backup before updating!

Kind regards,
Thomas

Change History (7)

comment:1 Changed 4 years ago by https://id.mayfirst.org/srevilak

  • Owner set to https://id.mayfirst.org/srevilak
  • Status changed from new to assigned

comment:2 Changed 4 years ago by https://id.mayfirst.org/srevilak

Integrated roundcube 1.0.3 changes into mfpl-release-1.0, and tagged as roundcube-1.0.3-mfpl1.

General gist

git remote update
git rebase gmo/mfpl-release-1.0
git rebase 1.0.3
git tag -s roundcube-1.0.3-mfpl1
git push gmo mfpl-release-1.0

# push failed; git claims it wasn't fast forward

# pull, let git do merge by recursive
git pull gmo mfpl-release-1.0

# redo tag
git tag -d roundcube-1.0.3-mfpl1
git tag -s roundcube-1.0.3-mfpl1

# examine commit lineage, make sure it looks reasonable

git push gmo mfpl-release-1.0
git push --tags gmo mfpl-release-1.0

Both push commands produced monkeysphere warnings:

0 sunny:roundcube$ git push gmo mfpl-release-1.0
Counting objects: 711, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (195/195), done.
Writing objects: 100% (315/315), 37.89 KiB | 0 bytes/s, done.
Total 315 (delta 247), reused 179 (delta 119)
remote: -------------------- Monkeysphere warning -------------------
remote: Monkeysphere found OpenPGP keys for this hostname, but none had full validity.
remote: An OpenPGP key matching the ssh key offered by the host was found:
remote: 
remote: pub   2048R/0x7289694B648C92DA 2010-09-10
remote: uid                 [ unknown] ssh://moses.mayfirst.org
remote: sig!3        0x7289694B648C92DA 2010-09-10  ssh://moses.mayfirst.org
remote: sig!      X  0xCCD2ED94D21739E9 2010-11-13  Daniel Kahn Gillmor <dkg@fifthhorseman.net>
remote: sig!      X  0xCCD2ED94D21739E9 2012-09-21  Daniel Kahn Gillmor <dkg@fifthhorseman.net>
remote: RSA key fingerprint is 58:c3:18:4b:11:e2:ab:17:e0:34:66:b5:f6:7a:81:4a.
remote: 
remote: -------------------- ssh continues below --------------------
remote: Host key verification failed.
remote: fatal: The remote end hung up unexpectedly

^CKilled by signal 2.

comment:3 Changed 4 years ago by https://id.mayfirst.org/srevilak

Deploy to roundcube-dev.

# backup
0 roundcube-dev@stallman:~$ pg_dump roundcube-dev > roundcube-dev.2014-10-05.sql
0 roundcube-dev@stallman:~$ xz -z roundcube-dev.2014-10-05.sql 
0 roundcube-dev@stallman:~$

# pull changes
2 roundcube-code@stallman:/srv/roundcube-dev$ git remote update
Fetching gmo
remote: Counting objects: 398, done.
remote: Compressing objects: 100% (73/73), done.
remote: Total 316 (delta 247), reused 310 (delta 242)
Receiving objects: 100% (316/316), 38.58 KiB, done.
Resolving deltas: 100% (247/247), completed with 74 local objects.
From git://git.mayfirst.org/mfpl/roundcube
   4a8aac8..5def02c  mfpl-release-1.0 -> gmo/mfpl-release-1.0
 * [new tag]         roundcube-1.0.3-mfpl1 -> roundcube-1.0.3-mfpl1
From git://git.mayfirst.org/mfpl/roundcube
 * [new tag]         1.0.3      -> 1.0.3


# verify tag
0 roundcube-code@stallman:/srv/roundcube-dev$ git tag -v roundcube-1.0.3-mfpl1 
object 5def02c4caad221379a36d1c975a3683c61b66c2
type commit
tag roundcube-1.0.3-mfpl1
tagger Steve Revilak <steve@srevilak.net> 1412559777 -0400

Integrated changes from roundcube 1.0.3 tag
gpg: Signature made Sun 05 Oct 2014 09:43:09 PM EDT
gpg:                using RSA key 0x3EB22DE4E594DCF2
gpg: checking the trustdb
gpg: 3 marginal(s) needed, 1 complete(s) needed, PGP trust model
gpg: depth: 0  valid:   1  signed:   2  trust: 0-, 0q, 0n, 0m, 0f, 1u
gpg: depth: 1  valid:   2  signed:   0  trust: 2-, 0q, 0n, 0m, 0f, 0u
gpg: next trustdb check due at 2014-12-01
gpg: Good signature from "Steve Revilak <steve@srevilak.net>"
0 roundcube-code@stallman:/srv/roundcube-dev$ 

# checkout
0 roundcube-code@stallman:/srv/roundcube-dev$ git checkout roundcube-1.0.3-mfpl1 
Previous HEAD position was 4a8aac8... (fetch_identity_objects): avoid redundant call to unserialize
HEAD is now at 5def02c... Merge branch 'mfpl-release-1.0' of git://git.mayfirst.org/mfpl/roundcube into mfpl-release-1.0

# update script
0 roundcube-dev@stallman:/srv/roundcube-dev$ php bin/update.sh 
What version are you upgrading from? Type '?' if you don't know.
?
Executing database schema update.
This instance of Roundcube is up-to-date.
Have fun!

0 roundcube-dev@stallman:/srv/roundcube-dev$

# reindex contacts
0 roundcube-dev@stallman:/srv/roundcube-dev$ php bin/indexcontacts.sh
Indexing contacts for user 1...done.
Indexing contacts for user 2...done.
Indexing contacts for user 4...done.
Indexing contacts for user 5...done.
Indexing contacts for user 6...done.
Indexing contacts for user 7...done.
  [...]
Indexing contacts for user 49...done.
Indexing contacts for user 50...done.
Indexing contacts for user 51...done.
Indexing contacts for user 52...done.
0 roundcube-dev@stallman:/srv/roundcube-dev$

comment:4 follow-up: Changed 4 years ago by https://id.mayfirst.org/srevilak

I tried a few tests with 1.0.3 (on roundcube.dev.mayfirst.org). Things seem to work well, but one behavior kind of caught me by surprise.

In Settings > Special Folders, I've defined my "Sent" folder as "messages", and checked "Show real names for special folders".

When composing a new message, roundcube gives me the option

"Save sent message in: Sent"

(where "Sent" is a drop down list of folders). "messages" does not appear in this list, but roundcube does save the sent message in my message folder.

In short roundcube doesn't show real names for special folders, despite my setting of "Show real names for special folders".

Beyond that, everything appears to work well.

I'll research the "Show real names" issue, to see if it's been mentioned elsewhere.

comment:5 in reply to: ↑ 4 Changed 4 years ago by https://id.mayfirst.org/srevilak

Replying to https://id.mayfirst.org/srevilak:

In short roundcube doesn't show real names for special folders, despite my setting of "Show real names for special folders".

This behavior is consistent with Roundcube 1.0.2 (on roundcube.mayfirst.org), so I'm not going to worry about it.

comment:6 Changed 4 years ago by https://id.mayfirst.org/srevilak

roundcube.mayfirst.org upgrade

# sync repository
0 roundcube-code@stallman:/srv/roundcube$ git remote update
Fetching gmo
remote: Counting objects: 398, done.
remote: Compressing objects: 100% (73/73), done.
remote: Total 316 (delta 247), reused 310 (delta 242)
Receiving objects: 100% (316/316), 38.58 KiB, done.
Resolving deltas: 100% (247/247), completed with 74 local objects.
From git://git.mayfirst.org/mfpl/roundcube
   4a8aac8..5def02c  mfpl-release-1.0 -> gmo/mfpl-release-1.0
 * [new tag]         roundcube-1.0.3-mfpl1 -> roundcube-1.0.3-mfpl1
From git://git.mayfirst.org/mfpl/roundcube
 * [new tag]         1.0.3      -> 1.0.3
0 roundcube-code@stallman:/srv/roundcube$ 


# verify new tag
0 roundcube-code@stallman:/srv/roundcube$ git tag --verify roundcube-1.0.3-mfpl1
object 5def02c4caad221379a36d1c975a3683c61b66c2
type commit
tag roundcube-1.0.3-mfpl1
tagger Steve Revilak <steve@srevilak.net> 1412559777 -0400

Integrated changes from roundcube 1.0.3 tag
gpg: Signature made Sun 05 Oct 2014 09:43:09 PM EDT
gpg:                using RSA key 0x3EB22DE4E594DCF2
gpg: Good signature from "Steve Revilak <steve@srevilak.net>"
0 roundcube-code@stallman:/srv/roundcube$


# checkout new tag
0 roundcube-code@stallman:/srv/roundcube$ git checkout roundcube-1.0.3-mfpl1
Previous HEAD position was 4a8aac8... (fetch_identity_objects): avoid redundant call to unserialize
HEAD is now at 5def02c... Merge branch 'mfpl-release-1.0' of git://git.mayfirst.org/mfpl/roundcube into mfpl-release-1.0
0 roundcube-code@stallman:/srv/roundcube$


# run roundcube update script
0 roundcube@stallman:/srv/roundcube$ php bin/update.sh
What version are you upgrading from? Type '?' if you don't know.
?
Executing database schema update.
This instance of Roundcube is up-to-date.
Have fun!
0 roundcube@stallman:/srv/roundcube$


# reindex contacts
0 roundcube@stallman:/srv/roundcube$ php bin/indexcontacts.sh
Indexing contacts for user 1...done.
Indexing contacts for user 2...done.
Indexing contacts for user 3...done.
  ...
Indexing contacts for user 1206...done.
Indexing contacts for user 1207...done.
Indexing contacts for user 1208...done.
Indexing contacts for user 1209...done.
0 roundcube@stallman:/srv/roundcube$

Did some web-based testing after the upgrade. Things appear to look okay.

comment:7 Changed 4 years ago by https://id.mayfirst.org/srevilak

  • Resolution set to fixed
  • Status changed from assigned to closed

Please login to add comments to this ticket.

Note: See TracTickets for help on using tickets.